[New Users] Please note that all new users need to be approved before posting. This process can take up to 24 hours. Thank you for your patience.
Check out the v.238 Ignition: Extreme Patch Notes here!
If this is your first visit, be sure to check out the Forums Code of Conduct: https://forums.maplestory.nexon.net/discussion/29556/code-of-conducts

Microsoft Visual Installation

SilvaSilva
Reactions: 1,085
Posts: 110
Member, Private Tester
edited November 2017 in Tech Support
Bug type: System Prompt

Brief bug summary: Every time I tried to launch Maple, the launcher tried to install Microsoft Visual C++ 2015

More details:

I have the latest Microsoft Visual (i.e. Microsoft Visual C++ 2017), but whenever I tried to launch the game, it requires me to install the 2015 version. When I tried to install, it failed because I already have the latest version. Since that is the case, I tried uninstalling the 2017 version and installed the 2015 version. After that, the annoying prompt is no longer appearing, but whenever I upgraded it back to the 2017 version, the 2015 version is automatically replaced, so the launcher would annoy me to no end regarding the installation.

Steps to reproduce:

1) Install Microsoft Visual C++ 2017 and uninstall every other version, especially Microsoft Visual C++ 2015.
2) Try to launch MapleStory.

Character name: Not applicable

Character level: Not applicable

Character job: Not applicable

World name: Not applicable

Date and time of the incident: 3rd Nov 2017
DreamWeaver

Comments

  • pandabunniespandabunnies
    Reactions: 1,955
    Posts: 344
    Member
    edited November 2017
    I'm having this problem too. It's getting very annoying.
  • DaysOfDrayDaysOfDray
    Reactions: 410
    Posts: 5
    Member
    edited November 2017
    Yeah I'm also having the exact same problem every time I launch Maplestory from the nexon launcher. Would be great if this issue would be fixed soon as it is kind of annoying and bothersome to have to close the dialogues that appears just to run the game.
  • InvulgoInvulgo
    Reactions: 4,620
    Posts: 544
    Member
    edited November 2017
    This is what we have regarding that issue.

    Runtime Error

  • AKradianAKradian
    Reactions: 40,125
    Posts: 6,331
    Member, Private Tester
    edited November 2017
    Invulgo wrote: »
    This is what we have regarding that issue.

    Runtime Error

    It's not the runtime error.
    It seems Nexon decided to solve the runtime error by force-installing the 2015 redistributable at every launch.

    This should be changed to only try to install the redistributable when installing the game, and only if the computer doesn't already have the 2015 version or newer.
    DreamWeaver
  • InvulgoInvulgo
    Reactions: 4,620
    Posts: 544
    Member
    edited November 2017
    AKradian wrote: »
    Invulgo wrote: »
    This is what we have regarding that issue.

    Runtime Error

    It's not the runtime error.
    It seems Nexon decided to solve the runtime error by force-installing the 2015 redistributable at every launch.

    This should be changed to only try to install the redistributable when installing the game, and only if the computer doesn't already have the 2015 version or newer.

    I see.

    Forwarding this issue now.



  • ArphenArphen
    Reactions: 210
    Posts: 2
    Member
    edited November 2017
    Invulgo wrote: »
    AKradian wrote: »
    Invulgo wrote: »
    This is what we have regarding that issue.

    Runtime Error

    It's not the runtime error.
    It seems Nexon decided to solve the runtime error by force-installing the 2015 redistributable at every launch.

    This should be changed to only try to install the redistributable when installing the game, and only if the computer doesn't already have the 2015 version or newer.

    I see.

    Forwarding this issue now.



    Microsoft broke from tradition, and did not make a new, independent version of the C++ redistributable for Visual Studio 2017. Instead, the 2017 redist is just an update for 2015 redist.

    Neither packages vcredist2017 or vcredist2015 install anything anymore. They simply list this package as a dependency. Since you cannot install 2015 and 2017 side-by-side, so they call this vcredist140 because it's still major version 14 and all the runtime files end with 140. (e.g. msvcp140.dll, mfc140.dll).
  • magictrees93magictrees93
    Reactions: 100
    Post: 1
    Member
    still having issues microsoft visual C++ having seemingly tried all solutions still cannot play help?
  • markyrmtmarkyrmt
    Reactions: 330
    Posts: 8
    Member
    edited January 2020
    Oh, this has been an old problem. I just upgraded to Win10 last month from Win7 (yeah i know, it's dated but it worked fine just to run Maplestory) and i keep encountering the same installation prompt for vc++
  • MrCool59MrCool59
    Reactions: 740
    Posts: 24
    Member
    edited February 2020
    i was able to fix the issue by installing Microsoft visual c++ 2015-2019 a quick search will allow you to find and download this i would post a link but im not sure how a program with an outside link would be viewed